Application: gvSIG desktop - gvSIG feature requests #3113
Add a new geometric command type in the Field Calculator
01/16/2015 04:32 PM - Antonio Falciano

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version: 2.5.0-2911 (rev. org.gvsig.desktop-2.0.239)

gvSIG version: 21.0 Add-on resolve version:
Keywords: geometry, command, function, expression| Add-on resolve build:

Has patch: Proyecto:

Add-on name: Tools: Field calculator (org.gvsig.expressipHiited)

Add-on version:

Description

Because there are some "hidden" functions about geometries that work in the Field Calculator (see #3079#note-6), such as:

[GEOMETRY].centroid().getX()
[GEOMETRY].centroid().getY()
[GEOMETRY].getNumVertices()
[GEOMETRY].getVertex(0).getX()
[GEOMETRY].getVertex(0).getY()
[GEOMETRY].getBounds().getWidth()
[GEOMETRY].getBounds().getHeigth()
etc.

a good enhancement of Field Calculator would be to create a new Geometric command type (in addiction to Numeric, String and Data

ones) in order to group all the geometries related commands/functions, such as x(), y(), area(), perimeter(), centroidX(), centroidY(),
numVertices(), etc. masking the whole stuff behind (e.g. "[GEOMETRY].centroid().getX()") and making them more user-friendly.

Related issues:

Related to Application: gvSIG desktop - gvSIG feature requests # 3079: Skip t... Invalid 12/18/2014
Related to Application: gvSIG desktop - gvSIG feature requests # 4945: [PG] N... Closed 10/22/2018
History

#1 - 01/16/2015 05:09 PM - Alvaro Anguix
- Related to gvSIG feature requests #3079: Skip the GEOMETRY field from Filter added

#2 - 01/16/2015 05:14 PM - Antonio Falciano
| forgot to mention other useful functions about geometries:
[GEOMETRY].isValid()

[GEOMETRY].isSimple()
[GEOMETRY].getType()

#3 - 11/09/2017 08:35 PM - Antonio Falciano
- Target version set to 2.5.1-3044
Nice to have in order to improve the usability of these "hidden" functions.

#4 - 02/10/2019 09:36 PM - Joaquin del Cerro Murciano

- Related to gvSIG feature requests #4945: [PG] Nuevo dialogo generador de expresiones added

#5 - 02/10/2019 09:36 PM - Joaquin del Cerro Murciano

- Target version changed from 2.5.1-3044 to 2.5.0-2911 (rev. org.gvsig.desktop-2.0.239)

- Status changed from New to Outdated

#6 - 02/10/2019 09:42 PM - Joaquin del Cerro Murciano

Se ha preparado un framework para manejo y evaluacion de expresiones con un asistente grafico. Se ira introduciondo este nuevo asistente en las

partes que proceda de gvSIG, de momento en la seleccion por atributo y en el gestor de columnas para los campos calculados. La calculadora de

campos se esta implementando de cero como un script usando las nuevas funcionalidades, y sustituira a la antigua en cuanto este disponible.
